/*
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2, or (at
   your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   Copyright (c) Manuel Mausz <manuel@mausz.at> 2017

   Dovecot auth support for checkpassword-dovecot
*/

#ifndef DOVECOT_AUTH_H
#define DOVECOT_AUTH_H

#include <stdio.h>

FILE *auth_connect(const char *uri, int timeout);
char *auth_begin();
char *auth_add_parameter(char *buf, const char *name, const char *value);

#define AUTH_ERROR -1
#define AUTH_FAIL   1
#define AUTH_TEMP   2
#define AUTH_OK     0
int auth_login(FILE *sock, char *buf, const char *username,
    const char *password, char **response);

#endif
